最新消息:20190717 VPS服务器:Vultr新加坡,WordPress主题:大前端D8,统一介绍入口:关于

【已解决】Mac中新版Trojan-Qt5启动报错:你的配置已由旧版Trojan-Qt5升级 一个纯净安装是必须的

Mac crifan 49浏览 0评论
折腾:
【已解决】Mac中升级Trojan-QT5的macOS到最新版
期间,Mac中已安装新版 Trojan-QT5:
但启动报错:
你的配置已由旧版Trojan-Qt5升级。
一个纯净安装是必须的。
请参阅wiki获得更多信息。
始终无法启动。
感觉是:需要删除旧的配置,才能重新安装新的
但是之前见过哪里提到,新版Trojan-QT5
“该客户端多次发生更新时不兼容原配置文件的情况,因此更新时请删除原版本进行完整的重新配置”
此处没找到 ~/.trojan 之类的配置
你的配置已由旧版trojan-qt5升级。一个纯净版安装时必须的。_laizidiyu151的博客-CSDN博客
 crifan@licrifandeMacBook-Pro  ~  ll ~/.config
total 0
drwx------   7 crifan  staff   224B  3 21 10:06 configstore
drwx------  10 crifan  staff   320B  3 18 22:51 filezilla
drwxr-xr-x   3 crifan  staff    96B  9 18  2015 menus
drwx------   4 crifan  staff   128B  7  3  2019 mpv
drwxr-xr-x   6 crifan  staff   192B  3 21 09:52 trojan-qt5
drwxr-xr-x   4 crifan  staff   128B  3  4  2017 yarn
果然有,去删除掉
rm -rf ~/.config/trojan-qt5
即可正常重新启动。
后记,找到之前文档出处了:
【macOS】Trojan-QT5 设置方法 – 帮助中心 – Shadowsocks.com
https://portal.shadowsocks.nl/knowledgebase/162/macOSTrojan-QT5-%E8%AE%BE%E7%BD%AE%E6%96%B9%E6%B3%95.html
“macOS】Trojan-QT5 设置方法
截图对应客户端版本 Trojan-QT5 v1.1.3
截图对应的系统 macOS 10.15.1
该客户端多次发生更新时不兼容原配置文件的情况,因此更新时请删除原版本进行完整的重新配置
Windows 直接删除客户端文件夹,macOS 、 Linux 请删除 ~/.config/trojan-qt5 文件夹
Trojan-QT5 客户端已停止开发、更新与维护,推荐更换使用 Tanpopo 或其他客户端使用。”
其中介绍了解决办法了。
只可惜推荐的新的Tanpopo,不好用。所以也放弃。
暂时还是用Trojan-QT5
【总结】
新版Trojan-QT5启动后会报错:
“你的配置已由旧版Trojan-Qt5升级。
一个纯净安装是必须的。
请参阅wiki获得更多信息。”
原因:
Trojan-QT5的新版,和之前旧版本不兼容,导致无法识别之前配置。
注:Trojan-QT5 客户端已停止开发、更新与维护
解决办法:
  • 仍用Trojan-QT5
    • 方法
      • 删除旧版本配置
        • rm -rf ~/.config/trojan-qt5
  • 换新Trojan客户端:Tanpopo
    • 注:20210321 经实测,Tanpopo不好用
      • 暂不用Tanpopo,暂继续用Trojan-QT5

转载请注明:在路上 » 【已解决】Mac中新版Trojan-Qt5启动报错:你的配置已由旧版Trojan-Qt5升级 一个纯净安装是必须的

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
16 queries in 0.088 seconds, using 9.40MB memory